package cn.com.qmth.stmms.biz.file.service;

import cn.com.qmth.stmms.biz.file.enums.FormatType;

import java.io.InputStream;
import java.util.List;

public interface FileService {

    String getFileServer();

    boolean uploadSheet(InputStream ins, String md5, int examId, String examNumber, int index);

    boolean uploadSlice(InputStream ins, String md5, int examId, String secretNumber, int index);

    boolean uploadJson(InputStream ins, String md5, int examId, String secretNumber);

    boolean uploadPackage(InputStream ins, String md5, int examId, String packageCode, int index);

    boolean uploadPaper(InputStream ins, String md5, int examId, String subjectCode, FormatType type);

    boolean uploadAnswer(InputStream ins, String md5, int examId, String subjectCode, FormatType type);

    boolean uploadCard(InputStream ins, String md5, int examId, String subjectCode, FormatType type);

    String getSheetUri(int examId, String examNumber, int index);

    List<String> getSheetUris(int examId, String examNumber, int start, int end);

    String getSliceUri(int examId, String secretNumber, int index);

    List<String> getSliceUris(int examId, String secretNumber, int start, int end);

    String getJsonUri(int examId, String secretNumber);

    String getPackageUri(int examId, String packageCode, int index);

    List<String> getPackageUris(int examId, String packageCode, int start, int end);

    String getPaperUri(int examId, String subjectCode, FormatType type);

    String getAnswerUri(int examId, String subjectCode, FormatType type);

    String getCardUri(int examId, String subjectCode, FormatType type);
}
